Subject: bug#12621: Win32 (Ver:24.2); Crashes when files from shared folders are accessed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Oct 2012 19:44:13 +0200

[Please keep the bug address on the CC list.]

> From: Arvind Devarajan <[email-masked]>
> Date: Mon, 15 Oct 2012 09:12:57 +0530
> 
> I did some more experiments this weekend, and I noticed the following:
> 1. This does not depend on my customizations
> 2. Interestingly, and I noticed this after your reply, that you were right in not able to reproduce this (blame me for this). I am surprised that it happens only when I access a shared folder that actually exists on a Linux system - it is shared via Samba.

This is important info, thanks.

> 3. When emacs crashed, I clicked the 'more info' link that windows crash-handler shows. It gave this info: ModName: rpcrt4.dll, ModVer: 5.1.2600.6022 (only relavant info shown).
> 
> Since I am more a Linux user, and have no experience on setting up a windows debug environment, I am not in a position to give you call stack. I shall attempt this over this week if you say the above info is not sufficient.

Unfortunately, it isn't sufficient.

First, please right-click on "My Computer", select "Manage", then
expand "Event Viewer" in the left pane (by clicking on the "+" sign to
its left), then click "Application".  Now find in the right pane the
log entry for the crash, double-click on that line, and click the
copy to clipboard button on the right near the top, below the two
buttons with arrows.  Finally, paste from the clipboard to your mailer
and post everything here.  This might at least give us the address
where Emacs crashed.

However, I think that this, too, will be insufficient, because the
address will be within rpcrt4.dll, which is not part of Emacs.  So
please do install a Windows port of GDB from here:

  http://sourceforge.net/projects/mingw/files/MinGW/Extension/gdb/GDB-7.5/gdb-7.5-1-mingw32-bin.tar.lzma/download

and then run it under GDB.  When it crashes, please post here the
backtrace you get.

It is advisable to do this with the development snapshot, available
from here:

   http://alpha.gnu.org/gnu/emacs/windows/

This is because snapshot binaries are not stripped of the debug info,
so you will be able to produce a more meaningful information with GDB.

TIA